Summary: Dnsanon_rssac is an implementation of RSSAC-002v2 processing for DNS statistics
Name: perl-dnsanon_rssac
Version: 1.0
Release: 1%{?dist}
License: GPLv2
Group: Applications/Internet
URL: https://ant.isi.edu/software/dnsanon_rssac/
Source0:https://ant.isi.edu/software/dnsanon_rssac/dnsanon_rssac-%{version}.tar.gz
BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::ISO8601)
BuildRequires: perl(Net::IP)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires: perl(Pod::Usage)
Requires: perl(Getopt::Long)
Requires: perl(DateTime)
Requires: perl(DateTime::Format::ISO8601)
Requires: perl(Net::IP)



%description
Dnsanon_rssac is an implementation of RSSAC-002v2 processing for DNS statistics.
It provides
the "RSSAC Advisory on Measurements of the Root Server System".
Its processing can be parallelized and and done incrementally.

%prep
%setup -q -n dnsanon_rssac-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# fix up g+s getting set on directories, and executables being 0555
# (*I* think those are ok, but not rpmlint.)
find $RPM_BUILD_ROOT -type d -exec chmod g-s {} ';'
# find $RPM_BUILD_ROOT -executable -exec chmod 0755 {} ';'
%{_fixperms} %{buildroot}/*


%check
make test

%files
%doc README COPYING
%{_bindir}/*
%{_mandir}/man1/*.1*


%changelog
* Sun May 29 2016 John Heidemann <johnh@isi.edu> 1.0-1
- See https://ant.isi.edu/software/dnsanon_rssac/
